<div class="wrapper">
  <!-- Sidebar -->
  <nav id="sidebar">
    <ul class="list-unstyled ">
      <li class="active" *ngFor="let nav of navData; let i = index">
        <a href=#i{{i}} (click)= 'onClicedMenu(nav)' data-toggle="collapse" aria-expanded="false" class="dropdown-toggle-split menu-text">{{nav.menu}}</a>
        <ul class="collapse list-unstyled" id=i{{i}}>
          <li class="selected" *ngFor="let item   of nav?.submenu" >
            <a class="submenu-text" (click)='onClickedSubMenu(item)' style="cursor: pointer;" >{{item}}</a>
          </li>
        </ul>
      </li>
    </ul>
  </nav>
</div>
